{% extends "base.html" %}
{% load staticfiles %}
{% load humanize %}

{% block mathjax %}
  <script type="text/x-mathjax-coenfig">
    MathJax.Hub.Config({tex2jax: {inlineMath: [['$','$'], ['\\(','\\)']]}});
  </script>
  <script type="text/javascript" async
  src="https://cdn.mathjax.org/mathjax/latest/MathJax.js?config=TeX-MML-AM_CHTML">
    </script>
<!--   <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script> -->
<!-- function resizeImage() -->
<!-- { -->
<!--         var imgWidth=    $("#output_graphic").css("width"); -->
<!--         var imgHeight =  $("#output_graphic").css("height"); -->
<!--         var divWidth = $("#output").css("width") ; -->
<!--         var divHeight = $("#output").css("height") ; -->
<!--         originalHeight = imgHeight; -->
<!--         originalWidth=imgWidth; -->

<!--         if (imgWidth > divWidth && imgHeight > divHeight) -->
<!--         { -->
<!--             var heightDiff = imgHeight  - divHeight; -->
<!--             var widthDiff = imgWidth  - divWidth; -->
<!--             //First find out which of the two dimensions is MORE boundry stretching, then we only change that dimension, to keep the image's original proportions. -->
<!--             if(heightDiff>widthDiff) -->
<!--             { -->
<!--                 $("#output_graphic").css("height", divHeight); //Set the -->
<!--             } -->
<!--             else -->
<!--             { -->
<!--                 $("#output_graphic").css("width", divWidth); //Set the width to the div's width -->
<!--             } -->
<!--         } -->
<!--         else if(imgWidth > divWidth) -->
<!--         { -->
<!--             $("#output_graphic").css("width", divWidth); //Set the width to the div's width -->
<!--         } -->
<!--         else if (imgHeight > divHeight) -->
<!--         { -->
<!--             $("#output_graphic").css("height", divHeight); //Set the height to the div's height -->
<!--         } -->
<!-- } -->

<!-- $(document).ready(function(){ -->
<!--     resizeImage(); -->
<!-- });   -->
{% endblock mathjax %}

{% block content %}
{% if png %}
  <h3>Your output</h3>
    <div id="output" class='clearfix'>
      <p>Great!
        Your source file compiled correctly and produced the output below.
        You are ready to
        <a href="#title">go on</a>.
        </p>
      <img src="{{png}}" alt="Document output" id="output_graphic">
      </div>
  {% endif %}

<div id="title">
  <h2>{% autoescape off %}{{ title }}{% endautoescape %}</h2>
  <p>{% autoescape off %}{{ intro_text }}{% endautoescape %}
    </p>
  </div>

<div id="lesson_body">
    <h3>{% autoescape off %}Quiz: {{ task }}{% endautoescape %}</h3>
    {% block quiz_body %}
      {{ body_text|safe }}
    {% endblock quiz_body %}
    </div>

  {% if errors.error_flag %}
    <div id='errors'>
    <h3 id='error-announcement'>Problems with your document</h3>
    {% if errors.errormsg or errors.commentsmsg %}
      <h4>Errors: you must fix these</h4>
      <ol>
        {% for error in errors.errormsg %}
        <li>{{ error|safe }}</li>
        {% endfor %}
        {% for error in errors.commentsmsg %}
          <li>{{ error|safe }}</li>
          {% endfor %}
        </ol>
      {% endif %}
      {% if errors.warningmsg %}
        <h4>Warnings: to help you learn the best practice</h4>
        <ol>
          {% for error in errors.warningmsg %}
          <li>{{ error|safe }}</li>
          {% endfor %}
          </ol>
        {% endif %}
    </div>  <!-- end class=errors -->
  {% endif %} <!-- end if errors.error_flag -->

<div id="edit">
  <form action="" method="post">
    <textarea name="sourcefile" cols="80" rows="20">{{ sourcefile }}</textarea>
    <input type="submit" value="Submit" />
    <input type="hidden" name="login" value="login" />
    {% csrf_token %}
    </form>
  </div>

{% endblock content %}
